Bug 62202 - RFE: distribute kio_smb instead of kio_smbro
RFE: distribute kio_smb instead of kio_smbro
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-28 07:48 EST by Miloslav Trmac
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-16 14:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2002-03-28 07:48:11 EST
Please distribute kio_smb instead of the horrible kio_smbro. I haven't had an
opportunity to test it, but it is supposed to be read-write, which is sort of a
must for a SMB client:-)

I understand this may not be possible to do for 7.3 (probably involves building
a samba library...), but please do it when possible.

P.S. And before arguing about the next release number, grep bugzilla for 7.3-HEAD.
Comment 1 Bernhard Rosenkraenzer 2002-03-28 07:55:39 EST
Agreed, but this is possible only if the shared libsmbclient library is 
It's currently not part of our samba packages, so I'm reassigning it to samba  
as a request to build with "--with-libsmbclient".  
Comment 2 Trond Eivind Glomsrxd 2002-04-05 01:10:05 EST
Added the static libsmbclient.a library to samba-2.2.3a-5 (the shared one seems
to avoid usage of so numbers, so I'll avoid it for now)
Comment 3 Bernhard Rosenkraenzer 2002-04-09 08:17:17 EDT
Thanks. static is actually preferred because I wouldn't like KDE to depend on samba (most 
people don't need the SMB ioslave). 
Build requirement on samba >= 2.2.5a-5 added in kdelibs-3.0.0-8, so the correct ioslave 
is built.
Comment 4 Miloslav Trmac 2002-09-21 14:23:22 EDT
Kdebase *still* ships kio_smbro (run 'strings' on the kio_smb* file).
Sorry for not checking this earlier.
Comment 5 Miloslav Trmac 2002-10-05 19:01:44 EDT
Same in 8.0
Comment 6 Mattias Dahlberg 2002-10-10 13:09:58 EDT
Actually kio_smbro is getting better and better (not read-only anymore of 
course) while kio_smb seems unmaintained. So for KDE 3.1 I would recommend 
using kio_smbro.
Comment 7 Miloslav Trmac 2003-07-16 14:03:40 EDT
Confirmed that kio_smbro works well, this request is obsolete now.

Note You need to log in before you can comment on or make changes to this bug.